<?xml version="1.0" encoding="utf-8" standalone="no"?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DirectOperatingExpenseFromInvestmentProperty" xlink:label="loc_ifrs-full_DirectOperatingExpenseFromInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DirectOperatingExpenseFromInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Direct operating expense from investment property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DirectOperatingExpenseFromInvestmentProperty" xlink:to="label_ifrs-full_DirectOperatingExpenseFromInvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense" xlink:label="loc_ifrs-full_RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Rental income from investment property, net of direct operating expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense" xlink:to="label_ifrs-full_RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Tax expense (income)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adjustments for undistributed profits of investments accounted for using equity method</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:to="label_ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income taxes paid (refund), classified as operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInWorkingCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Increase (decrease) in working capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="label_ifrs-full_IncreaseDecreaseInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Dividends paid to equity holders of parent, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Dividends paid to non-controlling interests, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Repayments of borrowings, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest paid, classified as financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_PrepaidExpensesAndOtherAssets" xlink:label="loc_Gecina_PrepaidExpensesAndOtherAssets" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_PrepaidExpensesAndOtherAssets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Prepaid Expenses And Other Assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_PrepaidExpensesAndOtherAssets" xlink:to="label_Gecina_PrepaidExpensesAndOtherAssets" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_EquityAttributableToOwnersOfParentAbstract" xlink:label="loc_Gecina_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_EquityAttributableToOwnersOfParentAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Gecina_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_EquityAttributableToOwnersOfParentAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total equity attributable to owners of parent</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Gecina_EquityAttributableToOwnersOfParentAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" xlink:label="loc_Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Consolidated reserves attribuable to owners of the parent company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" xlink:to="label_Gecina_ConsolidatedReservesAttribuableToOwnersOfTheParentCompany" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_CurrentTaxAndSocialSecurityLiabilities" xlink:label="loc_Gecina_CurrentTaxAndSocialSecurityLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_CurrentTaxAndSocialSecurityLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label"> Current tax and social security liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_CurrentTaxAndSocialSecurityLiabilities" xlink:to="label_Gecina_CurrentTaxAndSocialSecurityLiabilities" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ProfitLossAbstract1" xlink:label="loc_Gecina_ProfitLossAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProfitLossAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProfitLossAbstract1" xlink:to="label_Gecina_ProfitLossAbstract1" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ProfitLossBeforeTaxAbstract" xlink:label="loc_Gecina_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProfitLossBeforeTaxAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProfitLossBeforeTaxAbstract" xlink:to="label_Gecina_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProfitLossBeforeTaxAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) before tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProfitLossBeforeTaxAbstract" xlink:to="label_Gecina_ProfitLossBeforeTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_Gecina_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProfitLossFromOperatingActivitiesAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Gecina_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProfitLossFromOperatingActivitiesAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit (loss) from operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Gecina_ProfitLossFromOperatingActivitiesAbstract2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_EbitdaAbstract" xlink:label="loc_Gecina_EbitdaAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_EbitdaAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Ebitda</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_EbitdaAbstract" xlink:to="label_Gecina_EbitdaAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" xlink:label="loc_Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other operating income (expense), Current operating income on the hotel activity, Current operating income on finance lease transactions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" xlink:to="label_Gecina_OtherOperatingIncomeExpenseCurrentOperatingIncomeOnTheHotelActivityCurrentOperatingIncomeOnFinanceLeaseTransactions" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_Ebitda" xlink:label="loc_Gecina_Ebitda" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_Ebitda" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Ebitda</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_Ebitda" xlink:to="label_Gecina_Ebitda" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_Ebitda2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Ebitda</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_Ebitda" xlink:to="label_Gecina_Ebitda2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_NetImpairmentsAndProvisions" xlink:label="loc_Gecina_NetImpairmentsAndProvisions" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_NetImpairmentsAndProvisions" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net impairments and provisions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_NetImpairmentsAndProvisions" xlink:to="label_Gecina_NetImpairmentsAndProvisions" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_NetImpairmentsAndProvisions2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Net impairments and provisions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_NetImpairmentsAndProvisions" xlink:to="label_Gecina_NetImpairmentsAndProvisions2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_NetFinancialExpenses" xlink:label="loc_Gecina_NetFinancialExpenses" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_NetFinancialExpenses" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net financial expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_NetFinancialExpenses" xlink:to="label_Gecina_NetFinancialExpenses" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_FinancialImpairmentAndDepreciation" xlink:label="loc_Gecina_FinancialImpairmentAndDepreciation" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_FinancialImpairmentAndDepreciation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Financial Impairment And Depreciation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_FinancialImpairmentAndDepreciation" xlink:to="label_Gecina_FinancialImpairmentAndDepreciation" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_FinancialImpairmentAndDepreciation2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Financial Impairment And Depreciation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_FinancialImpairmentAndDepreciation" xlink:to="label_Gecina_FinancialImpairmentAndDepreciation2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_PremiumAndBondRedemptionCosts" xlink:label="loc_Gecina_PremiumAndBondRedemptionCosts" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_PremiumAndBondRedemptionCosts" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Premium and bond redemption costs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_PremiumAndBondRedemptionCosts" xlink:to="label_Gecina_PremiumAndBondRedemptionCosts" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ComprehensiveIncomeAbstract2" xlink:label="loc_Gecina_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ComprehensiveIncomeAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ComprehensiveIncomeAbstract2" xlink:to="label_Gecina_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ComprehensiveIncomeAbstract22" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ComprehensiveIncomeAbstract2" xlink:to="label_Gecina_ComprehensiveIncomeAbstract22" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ComprehensiveIncomeAbstract1" xlink:label="loc_Gecina_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ComprehensiveIncomeAbstract1" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ComprehensiveIncomeAbstract1" xlink:to="label_Gecina_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ComprehensiveIncomeAbstract12" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total comprehensive income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ComprehensiveIncomeAbstract1" xlink:to="label_Gecina_ComprehensiveIncomeAbstract12" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" xlink:label="loc_Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" xlink:to="label_Gecina_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapitalAbstract" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" xlink:label="loc_Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net depreciation, amortization, impairments and provisions</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" xlink:to="label_Gecina_NetDepreciationAmortizationImpairmentsAndProvisions" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_AdjustmentForNetFinancialExpenses" xlink:label="loc_Gecina_AdjustmentForNetFinancialExpenses" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_AdjustmentForNetFinancialExpenses" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Adjustment for Net Financial Expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_AdjustmentForNetFinancialExpenses" xlink:to="label_Gecina_AdjustmentForNetFinancialExpenses" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_AdjustmentForNetFinancialExpenses2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adjustment for Net Financial Expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_AdjustmentForNetFinancialExpenses" xlink:to="label_Gecina_AdjustmentForNetFinancialExpenses2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" xlink:label="loc_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Acquisitions of tangible and intangible fixed assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" xlink:to="label_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Acquisitions of tangible and intangible fixed assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets" xlink:to="label_Gecina_AcquisitionsOfTangibleAndIntangibleFixedAssets2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" xlink:label="loc_Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Disposals of tangible and intangible fixed assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" xlink:to="label_Gecina_DisposalsOfTangibleAndIntangibleFixedAssets" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" xlink:label="loc_Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) financial instruments, classified as investment activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" xlink:to="label_Gecina_IncreaseDecreaseFinancialInstrumentsClassifiedAsInvestmentActivities" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" xlink:label="loc_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Cash Flows From Used In Decrease Increase In Loans Made To Other Parties</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" xlink:to="label_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Cash Flows From Used In Decrease Increase In Loans Made To Other Parties</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties" xlink:to="label_Gecina_CashFlowsFromUsedInDecreaseIncreaseInLoansMadeToOtherParties2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" xlink:label="loc_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Change in working capital requirement relating to investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" xlink:to="label_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Change in working capital requirement relating to investing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities" xlink:to="label_Gecina_ChangeInWorkingCapitalRequirementRelatingToInvestingActivities2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" xlink:label="loc_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label"> Proceeds From Sale Or Issue Of Treasury Shares Or Payments To Acquire Or Redeem Entitys Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" xlink:to="label_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel"> Proceeds From Sale Or Issue Of Treasury Shares Or Payments To Acquire Or Redeem Entitys Shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares" xlink:to="label_Gecina_ProceedsFromSaleOrIssueOfTreasurySharesOrPaymentsToAcquireOrRedeemEntitysShares2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_PremiumAndBondRedemptionCostsPaid" xlink:label="loc_Gecina_PremiumAndBondRedemptionCostsPaid" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_PremiumAndBondRedemptionCostsPaid" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label"> Premium And Bond Redemption Costs paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_PremiumAndBondRedemptionCostsPaid" xlink:to="label_Gecina_PremiumAndBondRedemptionCostsPaid" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_PremiumAndBondRedemptionCostsPaid2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel"> Premium And Bond Redemption Costs paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_PremiumAndBondRedemptionCostsPaid" xlink:to="label_Gecina_PremiumAndBondRedemptionCostsPaid2" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" xlink:label="loc_Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Premiums paid or received on financial instruments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" xlink:to="label_Gecina_PremiumsPaidOrReceivedOnFinancialInstruments" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_ChangesInCashAndCashEquivalentsAbstract" xlink:label="loc_Gecina_ChangesInCashAndCashEquivalentsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangesInCashAndCashEquivalentsAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Changes in cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gecina_ChangesInCashAndCashEquivalentsAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangesInCashAndCashEquivalentsAbstract2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Changes in cash and cash equivalents at beginning of period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gecina_ChangesInCashAndCashEquivalentsAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangesInCashAndCashEquivalentsAbstract3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel">Changes in cash and cash equivalents at end of period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gecina_ChangesInCashAndCashEquivalentsAbstract3" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_ChangesInCashAndCashEquivalentsAbstract4" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Changes in total cash and cash equivalents</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_ChangesInCashAndCashEquivalentsAbstract" xlink:to="label_Gecina_ChangesInCashAndCashEquivalentsAbstract4" />
    <link:loc xlink:type="locator" xlink:href="9695003E4MMA10IBTR26-2025-12-31.xsd#Gecina_Additionalpaidincapitalandconsolidatedreservesmember" xlink:label="loc_Gecina_Additionalpaidincapitalandconsolidatedreservesmember" />
    <link:label xlink:type="resource" xlink:label="label_Gecina_Additionalpaidincapitalandconsolidatedreservesmember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Additionalpaidincapitalandconsolidatedreservesmember</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Gecina_Additionalpaidincapitalandconsolidatedreservesmember" xlink:to="label_Gecina_Additionalpaidincapitalandconsolidatedreservesmember" />
  </link:labelLink>
</link:linkbase>